Description

error: unpacking of archive failed on file /usr/share/foreman/public: cpio: rename

This error is caused by following the instructions on this link and then updating foreman via yum.

http://theforeman.org/projects/foreman/wiki/Setting_up_Nginx_+_Passenger_

The solution is simple, leave the default symlink /usr/share/foreman/public alone, but that breaks Nginx which doesn't like the symlink

as a root folder.

So the work around (for me) to upgrade foreman via yum was

1. Backup old public folder (just in case).

mv /usr/share/foreman/public /usr/share/foreman/public.<version>

2. Re-create the symlink

ln -s /var/lib/foreman/public /usr/share/foreman/public

3. Remove any failed symlinks from the RPM install.

rm /usr/share/foreman/public\;50d7629d

4. Perform the RPM update

yum update foreman

5. Revert the public folder back for Nginx (as per the instructions in the above link)

rm /usr/share/foreman/public

cp -rp /var/lib/forman/public /usr/share/foreman/

6. Restart your services

service nginx restart

service foreman restart

Maybe there is a way to make Nginx operate happily from a symlink rootdir, if so then someone please update the document in the

link above.

History

#1 - 02/27/2014 06:22 PM - Benjamin Papillon

- Description updated

- Category set to Packaging

#2 - 05/11/2016 10:44 AM - Anonymous

- Status changed from New to Closed

Closing as there has been no activity on this ticket in a while. Please reopen under Foreman project if this is still an issue.

#3 - 05/11/2016 10:46 AM - Dominic Cleal

- Project changed from Smart Proxy to Packaging

- Category changed from Packaging to RPMs

- Status changed from Closed to Feedback
#4 - 05/17/2017 11:27 AM - Anonymous

- Status changed from Feedback to Resolved
